/// <reference types="react" />
export type BlockComponent = React.ComponentType<{
    query?: string;
    children: React.ReactNode;
}>;
export type TokenComponent = React.ComponentType<{
    value: string;
    style?: React.CSSProperties;
    query?: string;
}>;
export type LineComponent = React.ComponentType<{
    lineNumber: number;
    query?: string;
    children: React.ReactNode;
}>;
export type AnnotationComponents = Record<Capitalize<string>, BlockComponent | TokenComponent | LineComponent>;
//# sourceMappingURL=annotation-components.d.ts.map