import { AnnotationHandler, InlineAnnotation, InternalToken } from "./types.js";
type TokenGroup = {
    annotation: InlineAnnotation;
    content: LineContent;
    range: [number, number];
};
type LineContent = (InternalToken | TokenGroup)[];
export declare function RenderLineContent({ lineContent, handlers, lineNumber, }: {
    lineContent: LineContent;
    handlers: AnnotationHandler[];
    lineNumber: number;
}): (string | import("react/jsx-runtime").JSX.Element)[];
export declare function toLineContent(tokens: InternalToken[], annotations: InlineAnnotation[]): LineContent;
export {};
//# sourceMappingURL=tokens.d.ts.map