/// <reference types="react" />
import { MDXProps } from "mdx/types.js";
import { Hike, HikeSection } from "./hike.js";
import { ZodTypeDef, z } from "zod";
export { Hike };
export type { HikeSection };
type MDXContent = (props: MDXProps) => JSX.Element;
export declare function getBlocks(Content: MDXContent, props?: MDXProps): any;
export declare function parseContent<Output, Def extends ZodTypeDef, Input>(Schema: z.ZodType<Output, Def, Input>, Content: MDXContent, props?: MDXProps): Output;
//# sourceMappingURL=components.d.ts.map