import { Hike } from "./hike.js";
import { parse } from "./schema.js";
export { Hike };
export function getBlocks(Content, props = {}) {
    const result = Content({
        _returnBlocks: true,
        ...props,
    });
    return result;
}
export function parseContent(Schema, Content, props = {}) {
    const data = getBlocks(Content, props);
    return parse(data, Schema);
}
