import React, { ComponentType } from "react";
import { RawCode } from "./code/types.js";
export declare function Hike({ as, hike, ...rest }: {
    children: React.ReactNode;
    as?: ComponentType<{
        hike: HikeSection<string>;
    }>;
    [key: string]: any;
}): import("react/jsx-runtime").JSX.Element;
export type HikeSection<T extends string = "steps"> = {
    [key in T]?: HikeSection<T>[];
} & {
    children: React.ReactNode[];
    query: string;
    code?: RawCode[];
};
export declare function getStepsFromChildren(kids: React.ReactNode, query?: string): HikeSection<string>;
//# sourceMappingURL=hike.d.ts.map