import React from "react";
export declare function Steps({ children, ...rest }: React.HTMLAttributes<HTMLDivElement>): import("react/jsx-runtime").JSX.Element;
export declare function Step({ index, selectOn, ...rest }: {
    index: number;
    selectOn?: ("click" | "hover" | "scroll")[];
} & React.HTMLAttributes<HTMLDivElement>): import("react/jsx-runtime").JSX.Element;
export declare function Display({ values }: {
    values: React.ReactNode[];
}): React.ReactNode;
export declare function useStepIndex(): {
    selectedIndex: number;
    selectIndex: (stepIndex: number) => void;
};
//# sourceMappingURL=steps.d.ts.map