import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from "react";
export const DefaultPre = forwardRef((props, ref) => {
    return _jsx("pre", { ...props, ref: ref });
});
export function getPreComponent(components) {
    var _a;
    const OuterPre = (_a = components.find((c) => c.Pre)) === null || _a === void 0 ? void 0 : _a.Pre;
    if (!OuterPre) {
        return DefaultPre;
    }
    const NewPre = forwardRef((props, ref) => {
        return _jsx(OuterPre, { ref: ref, InnerPre: DefaultPre, ...props });
    });
    return NewPre;
}
