// this adds the jsx node types to Root
import "mdast-util-mdx-jsx";
import { transformImportedCode } from "./mdx/0.import-code-from-path.js";
import { transformAllHikes } from "./mdx/1.0.transform-hikes.js";
import { transformAllCode } from "./mdx/2.transform-code.js";
import { transformHikeProps } from "./mdx/3.transform-hike-props.js";
export const remarkCodeHike = (config) => {
    const safeConfig = config || {};
    return async (root, file) => {
        let tree = await transformImportedCode(root, file);
        tree = await transformAllHikes(tree, safeConfig);
        tree = await transformAllCode(tree, safeConfig);
        return tree;
    };
};
export const recmaCodeHike = (config) => {
    return async (root) => {
        let tree = transformHikeProps(root);
        return tree;
    };
};
