/// <reference types="react" />
import { ZodTypeDef, z } from "zod";
export declare const Block: z.ZodObject<{
    title: z.ZodString;
    children: z.ZodType<import("react").ReactNode, ZodTypeDef, import("react").ReactNode>;
}, "strip", z.ZodTypeAny, {
    title: string;
    children?: import("react").ReactNode;
}, {
    title: string;
    children?: import("react").ReactNode;
}>;
export declare const CodeBlock: z.ZodObject<{
    meta: z.ZodString;
    value: z.ZodString;
    lang: z.ZodString;
}, "strip", z.ZodTypeAny, {
    meta: string;
    value: string;
    lang: string;
}, {
    meta: string;
    value: string;
    lang: string;
}>;
export declare const ImageBlock: z.ZodObject<{
    url: z.ZodString;
    alt: z.ZodString;
    title: z.ZodString;
}, "strip", z.ZodTypeAny, {
    title: string;
    url: string;
    alt: string;
}, {
    title: string;
    url: string;
    alt: string;
}>;
export declare function parseProps<Output, Def extends ZodTypeDef, Input>(content: unknown, Schema: z.ZodType<Output, Def, Input>): Output;
//# sourceMappingURL=schema.d.ts.map